<?php
/**
 * @version		1.0 2010-01-19	
 * @package		K2
 * @author    		Olivier Nolbert http://www.jiliko.net
 * @copyright		Copyright (c) 2009 - 2010 Jiliko.net.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

class JElementUserGroup extends JElement
{

	var $_name = 'userGroup';

	function fetchElement($name, $value, & $node, $control_name)
	{
	
		global $mainframe;
	
		$db = & JFactory::getDBO();
		$doc = & JFactory::getDocument();
		$fieldName = $control_name.'['.$name.']';
	
                JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_k2'.DS.'tables');
                $group = & JTable::getInstance('K2UserGroup', 'Table');

                if ($value) {
                        $group->load($value);
		}
		else {
			$group->name = JText::_('Select a group');
		}
	
		$js = "
		function jSelectGroup(id, title, object) {
			document.getElementById(object + '_id').value = id;
			document.getElementById(object + '_name').value = title;
			document.getElementById('sbox-window').close();
		}
		";
		
		$doc->addScriptDeclaration($js);
		$link = 'index.php?option=com_k2&amp;view=userGroups&amp;layout=element&amp;tmpl=component&amp;object='.$name;
	
		JHTML::_('behavior.modal', 'a.modal');
	
		$html = '
		<div style="float:left;">
			<input style="background: #ffffff;" type="text" id="' . $name . '_name" value="' . htmlspecialchars ( $group->name, ENT_QUOTES, 'UTF-8' ) . '" disabled="disabled" />
		</div>
		<div class="button2-left">
			<div class="blank">
				<a class="modal" title="' . JText::_ ( 'Select a group' ) . '"  href="' . $link . '" rel="{handler: \'iframe\', size: {x: 700, y: 450}}">'.JText::_('Select').'</a>
			</div>
		</div>
		<input type="hidden" id="' . $name . '_id" name="' . $fieldName . '" value="' . ( int ) $value . '" />';
		
	
		return $html;
	}

}
